%define _name swh-plugins

Name: ladspa-%_name
Version: 0.3.4
Release: alt1

Summary: A set of audio plugins for LADSPA
License: GPL
Group: Sound
Url: http://plugin.org.uk
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: %url/releases/%version/%_name-%version.tar.gz
Source1: %url/ladspa-swh/docs/ladspa-swh.html
Source2: lxml2rdf.pl

%define ladspa_ver 1.12-alt2

PreReq: ladspa_sdk >= %ladspa_ver
BuildPreReq: ladspa_sdk >= %ladspa_ver  

# Automatically added by buildreq on Fri Jan 10 2003
BuildRequires: glibc-devel-static ladspa_sdk libexpat libfftw-devel perl-XML-Parser

%description
A set of Steve Harris' audio plugins for LADSPA (Linux
Audio Developer's Simple Plugin Architecture).

%prep
%setup -n %_name-%version
%__install -m755 %SOURCE2 metadata/lxml2rdf.pl
%__rm -f ladspa.h
find . -type f -print0|xargs -r0 %__subst 's,"ladspa.h",<ladspa.h>,' --

%build
%__aclocal
%__automake -a -c -f
%__autoconf

%configure
%make_build

%install
%make_install DESTDIR=%buildroot install

%__cp gsm/README README.gsm
%__cp %SOURCE1 .

%files
%_ladspa_path/*.so
%_ladspa_datadir/rdf/*
%doc AUTHORS README ChangeLog README.gsm TODO ladspa-swh.html

%changelog
* Fri Jan 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.3.4-alt1
- 0.3.4

* Sat Dec 14 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.3.3-alt1
- 0.3.3

* Thu Dec 05 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.3.2-alt1
- 0.3.2

* Tue Dec 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.3.1-alt1
- 0.3.1

* Wed Nov 06 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.3.0-alt1
- 0.3.0

* Tue Sep 10 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.2.8-alt1
- 0.2.8 

* Sat May 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.2.5-alt1
- 0.2.5 

* Mon Jan 28 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.2.3-alt1
- new version
- cleanups

* Sat Jan 5 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.2.2-alt1
- Updated to 0.2.2

* Fri Nov 23 2001 Yuri N. Sedunov <aris@altlinux.ru> 0.2.1-alt1
- First build for Sisyphus
